Endpoint Groups

Lineage

Table and column lineage inspection together with lineage maintenance operations.

Get column lineageGET

/lineage/columns/{schemaName}/{tableName}

Operation IDgetColumnLineage

Path Parameters

Name Type Required Description
schemaName string true -
tableName string true -

Query Parameters

Name Type Required Description
max_results integer false -
page_token string false -

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
404 The server cannot find the requested resource.
429 Client error
500 Server error

Get column impactGET

/lineage/columns/{schemaName}/{tableName}/{columnName}/impact

Operation IDgetColumnImpact

Path Parameters

Name Type Required Description
columnName string true -
schemaName string true -
tableName string true -

Query Parameters

Name Type Required Description
max_results integer false -
page_token string false -

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
404 The server cannot find the requested resource.
429 Client error
500 Server error

Delete lineage edgeDELETE

/lineage/edges/{edgeId}

Operation IDdeleteLineageEdge

Path Parameters

Name Type Required Description
edgeId string true -

Responses

Code Description
204 There is no content to send for this request, but the headers may be useful.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

Purge lineagePOST

/lineage/purge

Operation IDpurgeLineage

Request Body

  • Required: true
  • Content types: application/json

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

Get table lineageGET

/lineage/tables/{schemaName}/{tableName}

Operation IDgetTableLineage

Path Parameters

Name Type Required Description
schemaName string true -
tableName string true -

Query Parameters

Name Type Required Description
max_results integer false -
page_token string false -

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
404 The server cannot find the requested resource.
429 Client error
500 Server error

Get downstream lineageGET

/lineage/tables/{schemaName}/{tableName}/downstream

Operation IDgetDownstreamLineage

Path Parameters

Name Type Required Description
schemaName string true -
tableName string true -

Query Parameters

Name Type Required Description
max_results integer false -
page_token string false -

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
404 The server cannot find the requested resource.
429 Client error
500 Server error

Get upstream lineageGET

/lineage/tables/{schemaName}/{tableName}/upstream

Operation IDgetUpstreamLineage

Path Parameters

Name Type Required Description
schemaName string true -
tableName string true -

Query Parameters

Name Type Required Description
max_results integer false -
page_token string false -

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
404 The server cannot find the requested resource.
429 Client error
500 Server error